#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%define		pdir	Digest
%include	/usr/lib/rpm/macros.perl
Summary:	Digest - Perl modules that calculate message digests
Summary(pl.UTF-8):	Digest - moduły do obliczania skrótów komunikatów
Name:		perl-Digest
Version:	1.17
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{version}.tar.gz
# Source0-md5:	2f8a38f7f6c1bd2df36feb16d8208d6d
URL:		http://search.cpan.org/dist/Digest/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is just a simple frontend module for autoloading of various
Digest:: modules. It also provide documentation of the interface that
all Digest:: modules should provide.

%description -l pl.UTF-8
Ten moduł jest prostym frontendem do automatycznego wczytywania
różnych modułów Digest::. Zawiera także dokumentację do interfejsu
ogólnego dla wszystkich modułów Digest::.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}
%{?with_tests: %{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Digest.pm
%{perl_vendorlib}/Digest/*
%{_mandir}/man3/*
%changelog
* Sat Jul 25 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Digest.git;a=log;h=master

* Tue Nov 25 2014 Elan Ruusamäe <glen@delfi.ee> 30fc5ac
- use generic url

* Sun Jan 15 2012 zbyniu <zbyniu@pld-linux.org> 5d80bff
- up to 1.17

* Thu Jun 18 2009 amateja <amateja@pld-linux.org> 04acad0
- updated to 1.16

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 125c1ae
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> c42e67f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 4937d60
- converted to UTF-8

* Thu Jul 27 2006 Maciej Pijanka <agaran@pld-linux.org> b4cf18f
- up to 1.15, rel=1, builds here

* Sun Dec 04 2005 Paweł Cyranek <pawel.cyranek@gmail.com> 17ef520
- updated to 1.14

* Thu Apr 21 2005 hawk <hawk@pld-linux.org> 8a2883b
- release 2 for Ac (1 is for Ra)

* Thu Nov 11 2004 paladine <paladine@pld-linux.org> d7ce39e
- updated to 1.10

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> fbc1282
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> b5692c6
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Thu May 06 2004 ankry <ankry@pld-linux.org> 0592293
- fixed perl-devel BR

* Sun May 02 2004 Adam Gołębiowski <adamg@pld-linux.org> 5ee4b10
- updated to 1.08

* Sun Apr 25 2004 Adam Gołębiowski <adamg@pld-linux.org> b861113
- updated to 1.07

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> bd48186
- better summary/description, license fixes and unification

* Sun Apr 04 2004 Adam Gołębiowski <adamg@pld-linux.org> 901f470
- updated to 1.06

* Wed Dec 03 2003 migo <migo@pld-linux.org> 5cf740f
- up to 1.05, added tests
- added Digest::base
- cosmetics

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 0f3dab4
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 2d7d879
- massive attack: source-md5

